Folliow Un projet de site web réaliser en PHP

Loading...
Searching...
No Matches
Project Class Reference
Inheritance diagram for Project:

## Public Member Functions
| __construct ()
| getId ()
| setId (int $id)
| getTitle ()
| setTitle ($title)
| getDescription ()
| setDescription ($description)
| getThumbnail ()
| setThumbnail ($thumbnail)
| getContent ()
| setContent ($content)
| getCreation_date (string $strFormat="fr_FR")
| setCreation_date ($creation_date)
| getStatus ()
| setStatus ($status)
| getUser_id ()
| setUser_id ($user)
| getCategory ()
| setCategory ($category)
| getCreatorName ()
| setCreatorName ($creatorname)
| getUser_image ()
| setUser_image ($user_image)
| getProject_deleted_at ()
| setProject_deleted_at ($project_deleted_at)
Public Member Functions inherited from Mother
| hydrate (array $arrData)

## Additional Inherited Members
Protected Member Functions inherited from Mother
| nettoyer (string $strText)
Protected Attributes inherited from Mother
string | $_prefix = ''

## Detailed Description

Classe d'un objet Projet

Author
  Yass

## Constructor & Destructor Documentation

## ◆ __construct()

__construct | ( |  | ) |

le constructeur de la table project

## Member Function Documentation

## ◆ getCategory()

getCategory | ( |  | ) |

Récupération de la catégorie

Returns
  int id de la catégorie

## ◆ getContent()

getContent | ( |  | ) |

Récuperation du contenu

Returns
  string contenu du projet

## ◆ getCreation_date()

getCreation_date | ( | string | $strFormat = "fr_FR" | ) |

Récupération de la date de création

Parameters

  string | lang de formatage de la date (par défaut = "fr_FR")

Returns
  string date de création formatter

## ◆ getCreatorName()

getCreatorName | ( |  | ) |

Récupération du nom du créateur

Returns
  string nom du créateur

## ◆ getDescription()

getDescription | ( |  | ) |

Récuperation de la description

Returns
  string description du projet

## ◆ getId()

getId | ( |  | ) |

Récuperation de l'id du projet

Returns
  int l'id du projet

## ◆ getProject_deleted_at()

getProject_deleted_at | ( |  | ) |

Récupération de la date du projet supprimer

Returns
  string date du projet

## ◆ getStatus()

getStatus | ( |  | ) |

Récupération du statut

Returns
  string statut

## ◆ getThumbnail()

getThumbnail | ( |  | ) |

Récuperation de l'image

Returns
  string chemin vers l'image

## ◆ getTitle()

getTitle | ( |  | ) |

Récuperation du titre

Returns
  string tite du projet

## ◆ getUser_id()

getUser_id | ( |  | ) |

Récupération de l'utilisateur

Returns
  int id de l'utilisateur

## ◆ getUser_image()

getUser_image | ( |  | ) |

Récupération du chemin photo profil

Returns
  string nom du chemin photo profil

## ◆ setCategory()

setCategory | ( |  | $category | ) |

Mise à jour de la catégorie

Parameters

  int | id de la catégorie

## ◆ setContent()

setContent | ( |  | $content | ) |

Mise à jour du contenu

Parameters

  string | le nouveau contenu

## ◆ setCreation_date()

setCreation_date | ( |  | $creation_date | ) |

Mise à jour de la date de création

Parameters

  string | la nouvelle date de création

## ◆ setCreatorName()

setCreatorName | ( |  | $creatorname | ) |

Mise à jour du nom du créateur

Parameters

  string | le nom du créateur

## ◆ setDescription()

setDescription | ( |  | $description | ) |

Mise à jour de la description

Parameters

  string | la nouvelle description

## ◆ setId()

setId | ( | int | $id | ) |

Mise à jour de l'id du projet

Parameters

  int | le nouvelle id

## ◆ setProject_deleted_at()

setProject_deleted_at | ( |  | $project_deleted_at | ) |

Mise à jour de la date de suppression de projet

Parameters

  string | date du projet

## ◆ setStatus()

setStatus | ( |  | $status | ) |

Mise à jour du statut

Parameters

  string | le nouveau statut

## ◆ setThumbnail()

setThumbnail | ( |  | $thumbnail | ) |

Mise à jour de l'image

Parameters

  string | chemin vers nouvelle image

## ◆ setTitle()

setTitle | ( |  | $title | ) |

Mise à jour du titre

Parameters

  string | le nouveau titre

## ◆ setUser_id()

setUser_id | ( |  | $user | ) |

Mise à jour de l'utilisateur

Parameters

  int | id de l'utilisateur

## ◆ setUser_image()

setUser_image | ( |  | $user_image | ) |

Mise à jour du chemin photo profil

Parameters

  string | chemin photo profil

The documentation for this class was generated from the following file:

- C:/Users/Guill/projet_php/entities/Project.php